Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.block
Class BlockSilverfish

    java.lang.Object
      net.minecraft.block.Block
          net.minecraft.block.BlockSilverfish

    public class BlockSilverfish

extends Block

Field Summary
`static String[]` | `silverfishStoneTypes` Block names that can be a silverfish stone.

Fields inherited from class net.minecraft.block.Block
`anvil, beacon, bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, cactus, cake, canBlockGrass, carrot, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cobblestoneWall, cocoaPlant, commandBlock, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, fire, flowerPot, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, melon, melonStem, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, potato, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, skull, slipperiness, slowSand, snow, soundAnvilFootstep, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundLadderFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundSnowFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneButton, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodenButton, woodSingleSlab, workbench`

Constructor Summary
`BlockSilverfish(int par1)`

Method Summary
`int` | `getBlockTextureFromSideAndMetadata(int par1, int par2)` From the specified side and block metadata retrieves the blocks texture.
`int` | `getDamageValue(World par1World, int par2, int par3, int par4)` Get the block's damage value (for use with pick block).
`static int` | `getMetadataForBlockType(int par0)` Returns the metadata to use when a Silverfish hides in the block.
`static boolean` | `getPosingIdByMetadata(int par0)` Gets the blockID of the block this block is pretending to be according to this block's metadata.
`void` | `getSubBlocks(int par1, CreativeTabs par2CreativeTabs, List par3List)`
`void` | `onBlockDestroyedByPlayer(World par1World, int par2, int par3, int par4, int par5)` Called right before the block is destroyed by a player.
`int` | `quantityDropped(Random par1Random)` Returns the quantity of items to drop on block destruction.

Methods inherited from class net.minecraft.block.Block
`addBlockDestroyEffects, addBlockHitEffects, addCollidingBlockToList, addCreativeItems, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canDropFromExplosion, canHarvestBlock, canPlaceBlockAt, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, collisionRayTrace, colorMultiplier, createTileEntity, damageDropped, dropBlockAsItem, dropBlockAsItemWithChance, fillWithRain, func_82505_u_, func_82506_l, func_85104_a, func_85105_g, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockBrightness, getBlockColor, getBlockDropped, getBlockHardness, getBlockName, getBlocksMovement, getBlockTexture, getBlockTextureFromSide, getCollisionBoundingBoxFromPool, getCreativeTabToDisplayOn, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getRenderType, getSelectedBoundingBoxFromPool, getTextureFile, getTickRandomly, harvestBlock, hasTileEntity, hasTileEntity, idDropped, idPicked, isAirBlock, isBeaconBase, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isLadder, isLeaves, isNormalCube, isOpaqueCube, isProvidingStrongPower, isProvidingWeakPower, isWood, onBlockActivated, onBlockAdded, onBlockClicked, onBlockDestroyedByExplosion, onBlockEventReceived, onBlockHarvested, onBlockPlacedBy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborBlockChange, onSetBlockIDWithMetaData, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, removeBlockByPlayer, renderAsNormalBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setRequiresSelfNotify, setResistance, setStepSound, setTextureFile, setTickRandomly, shouldSideBeRendered, tickRate, translateBlockName, updateTick, velocityToAddToEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### silverfishStoneTypes

    public static final String[] silverfishStoneTypes

  Block names that can be a silverfish stone.

Constructor Detail

### BlockSilverfish

    public BlockSilverfish(int par1)

Method Detail

### getBlockTextureFromSideAndMetadata

    public int getBlockTextureFromSideAndMetadata(int par1,
                                                  int par2)

  From the specified side and block metadata retrieves the blocks texture. Args: side, metadata

  Overrides:
    `getBlockTextureFromSideAndMetadata` in class `Block`

### onBlockDestroyedByPlayer

    public void onBlockDestroyedByPlayer(World par1World,
                                         int par2,
                                         int par3,
                                         int par4,
                                         int par5)

  Called right before the block is destroyed by a player. Args: world, x, y, z, metaData

  Overrides:
    `onBlockDestroyedByPlayer` in class `Block`

### quantityDropped

    public int quantityDropped(Random par1Random)

  Returns the quantity of items to drop on block destruction.

  Overrides:
    `quantityDropped` in class `Block`

### getPosingIdByMetadata

    public static boolean getPosingIdByMetadata(int par0)

  Gets the blockID of the block this block is pretending to be according to this block's metadata.

### getMetadataForBlockType

    public static int getMetadataForBlockType(int par0)

  Returns the metadata to use when a Silverfish hides in the block. Sets the block to BlockSilverfish with this metadata. It changes the displayed texture client side to look like a normal block.

### getDamageValue

    public int getDamageValue(World par1World,
                              int par2,
                              int par3,
                              int par4)

  Get the block's damage value (for use with pick block).

  Overrides:
    `getDamageValue` in class `Block`

### getSubBlocks

    public void getSubBlocks(int par1,
                             CreativeTabs par2CreativeTabs,
                             List par3List)

  Overrides:
    `getSubBlocks` in class `Block`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD